{ config, ... }:
{
  system = {
    primaryUser = config.users.users.mattjallen.name;
    defaults = {
      controlcenter = {
        AirDrop = true;
        BatteryShowPercentage = true;
        Bluetooth = true;
        Display = true;
        FocusModes = true;
        NowPlaying = true;
      };
      dock = {
        minimize-to-application = true;
        mouse-over-hilite-stack = true;
        show-recents = false;
      };
      finder = {
        AppleShowAllExtensions = true;
        AppleShowAllFiles = true;
        _FXSortFoldersFirst = true;
        _FXSortFoldersFirstOnDesktop = true;
        FXEnableExtensionChangeWarning = false;
        ShowPathbar = true; # breadcrumb nav at bottom
        ShowStatusBar = true; # file count & disk space
      };
      loginwindow = {
        GuestEnabled = false;
      };
      NSGlobalDomain = {
        "com.apple.keyboard.fnState" = false;
        AppleInterfaceStyle = "Dark";
        "com.apple.mouse.tapBehavior" = 1;
        AppleShowAllExtensions = true;
        AppleShowAllFiles = true;
      };
      trackpad = {
        Clicking = true;
      };
      WindowManager = {
        EnableTiledWindowMargins = false;
      };
    };
    startup.chime = false;
    # Used for backwards compatibility, please read the changelog before changing.
    # $ darwin-rebuild changelog
    stateVersion = 5;
  };
}
